package domain


type AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult struct {
    /*
        活动ID     */
    Data  *int64 `json:"data,omitempty" `

    /*
        操作是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingBuygiftActivityUpdateOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
